﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace COWS.Entities.QueryModels
{
    public class OffnetForm
    {
        public string FTN { get; set; }
        public DateTime? CUST_CMMT_DT { get; set; }
        public DateTime? CUST_WANT_DT { get; set; }
        public DateTime? CUST_SIGNED_DT { get; set; }
        public string CUST_ACPT_ERLY_SRVC_CD { get; set; }
        public string MULT_CUST_ORDR_CD { get; set; }
        public DateTime? CUST_ORDR_SBMT_DT { get; set; }
        public string TSP_CD { get; set; }
        public string CUST_NME { get; set; }
        public string FRST_NME { get; set; }
        public string LST_NME { get; set; }
        public string CNTCT_NME { get; set; }
        public string STREET_ADR_1 { get; set; }
        public string STREET_ADR_2 { get; set; }
        public string CTY_NME { get; set; }
        public string ZIP_PSTL_CD { get; set; }
        public string PRVN_NME_STT_CD { get; set; }
        public string CTRY_NME { get; set; }
        public string NPA { get; set; }
        public string NXX { get; set; }
        public string SitePhn { get; set; }
        public string PHN_NBR { get; set; }
        public string EMAIL_ADR { get; set; }
        public string ALT_FRST_NME { get; set; }
        public string ALT_LST_NME { get; set; }
        public string ALT_CNTCT_NME { get; set; }
        public string ALT_CNTCT_PHN { get; set; }
        public string ALT_EMAIL_ADR { get; set; }
        public string CUST_PRMS_OCPY_CD { get; set; }
        public string ORDR_TYPE_DES { get; set; }
        public string FSA_EXP_TYPE_CD { get; set; }
        public string INSTL_DSGN_DOC_NBR { get; set; }
        public string PROD_TYPE_CD { get; set; }
        public string PROD_SELECTION { get; set; }
        public string LoopSpeed { get; set; }
        public string BLDG { get; set; }
        public string FLR { get; set; }
        public string ROOM { get; set; }
        public string TelcoDemarc { get; set; }
        public string CSUDSU { get; set; }
        public string ENCAP { get; set; }
        public string PortSpeed { get; set; }
        public string TTRPT_ROUTG_TYPE_CD { get; set; }
        public string TSUP_PRS_QOT_NBR { get; set; }
        public string SCA_NBR { get; set; }
        public string TTRPT_MNGD_DATA_SRVC_CD { get; set; }
        public int H5_CUST_ID { get; set; }
        public int H6_CUST_ID { get; set; }
        public string CNTRC_TERM { get; set; }
        public string DNS_SRVC_FSTNAME { get; set; }
        public string DNS_SRVC_LSTNAME { get; set; }
        public string INTF_PROT { get; set; }
        public string CXR_ACCS_CD { get; set; }
        public string TSUP_NEAREST_CROSS_STREET_NME { get; set; }
        public int? VLANQTY { get; set; }
        public string VAS { get; set; }
        public string IPVER { get; set; }
        public string PROVIDEQTY { get; set; }
        public string IPV4PROVIDER { get; set; }
        public string IPV6PROVIDER { get; set; }
        public int? INDXNBR { get; set; }
        public int? TOTNBR { get; set; }
        public string DNSFSTNME { get; set; }
        public string DNSLSTNME { get; set; }
        public string DNSNME { get; set; }
        public string DNSPHN { get; set; }
        public string DNSEMAIL { get; set; }
        public string INTPROTOCOL { get; set; }
        public string DOMAIN { get; set; }
        public string ADDIPADR { get; set; }
        public string EXISTIPFLG { get; set; }
        public string IPLIST { get; set; }
        public string IPPROVIDER { get; set; }
        public string VNDRTERM { get; set; }
        public string COMMENTS { get; set; }
        public string PROTOCOLS { get; set; }
        public string ORANGE_OFFR_CD { get; set; }
        public string SRVCNTNME { get; set; }
        public string SRVCNTPHN { get; set; }
        public string INTERFACETYPE { get; set; }
        public string RelatedFTN { get; set; }
        public string PARENTFTN { get; set; }
        public int ORDER_TYPE { get; set; }
        public string ORIGSRVID { get; set; }
        public string IPV4QTY { get; set; }
        public string Firewall { get; set; }
        public string DNS_PHN_EXT { get; set; }
        public string SUBMASK { get; set; }
        public string RD_CUST_NME { get; set; }
        public string RD_FRST_NME { get; set; }
        public string RD_LST_NME { get; set; }
        public string RD_CNTCT_NME { get; set; }
        public string RD_STREET_ADR_1 { get; set; }
        public string RD_STREET_ADR_2 { get; set; }
        public string RD_CTY_NME { get; set; }
        public string RD_ZIP_PSTL_CD { get; set; }
        public string RD_PRVN_NME_STT_CD { get; set; }
        public string RD_CTRY_NME { get; set; }
        public string RD_PHN_NBR { get; set; }
        public string RD_ALT_FRST_NME { get; set; }
        public string RD_ALT_LST_NME { get; set; }
        public string RD_ALT_CNTCT_NME { get; set; }
        public string RD_ALT_CNTCT_PHN { get; set; }

    }
}
